<div class="container position-relative" style="min-height: 100vh;">
    <div class="text-center position-absolute top-0 start-50 translate-middle-x mt-4">
        <img src="{{ asset('images/ic_error.svg') }}" alt="Error" style="width: 24vmin;">
        <p class="mt-3" style="line-height: 7vmin; font-size: 6vmin; font-weight: bold; color: #4D4D4D;">
            Transaction Failed.<br>
            Your purchase for top-up is not <br>successful. Please try again.
        </p>
    </div>
    <div class="position-absolute bottom-0 start-50 translate-middle-x mb-4" style="width: 100%; max-width: 300px;">
        <button wire:click="backHandler" class="btn btn-primary w-100" style="height: 11vmin; font-size: 5vmin; background-color: #e74610; border-color: #e74610;">
            Return to Top-Up Page
        </button>
    </div>

    <!-- JavaScript for native app integration -->
    <script>
        window.addEventListener('ios-top-up-failed', function () {
            if (typeof window.iOStopUpFailed === 'function') {
                window.iOStopUpFailed();
            }
        });

        window.addEventListener('android-top-up-failed', function () {
            if (typeof window.AndroidTopUpFailed === 'function') {
                window.AndroidTopUpFailed();
            }
        });
    </script>
</div>