<?php

namespace App\Livewire;

use Livewire\Component;

class LogoutStatus extends Component
{
    public $isLogout = false;
    public $messages = '';

    public function mount($isLogout = false, $messages = '')
    {
        $this->isLogout = $isLogout;
        $this->messages = $messages;
    }

    public function render()
    {
        return view('livewire.logout-status');
    }
}